
' Connect IR to INT1

$regfile = "m328pdef.dat"
$crystal = 18432000
$hwstack = 64
$swstack = 64
$framesize = 128

$lib "mcsbyte.lbx"

Config Portb.5 = Output
Led Alias Portb.5
Reset Led

' UART
Rts Alias Pind.2
Cts Alias Portb.1
Config Portd.2 = Input
Config Portb.1 = Output
Set Portd.2                                                 ' Pull-Up
Set Cts

Config Com1 = 38400 , Synchrone = 0 , Parity = None , Stopbits = 1 , Databits = 8

$include "IR_init.bas"

Enable Interrupts


Do                                                          'Main cycle
   If Ir_got = 1 Then
      Print "Addr: " ; Ir_address_nec ; " Comm: " ; Ir_command_nec
      If Ir_command_nec = 194 Then Toggle Led
      Reset Ir_got
   End If
   'Waitms 10                                                   'Delay 10 en
Loop
End                                                         'End of main cycle

$include "IR_event.bas"

